import fs from 'fs/promises'
import yaml from 'js-yaml'
import { logger } from './logger.js'

class Config {
  async load () {
    const doc = yaml.load(await fs.readFile('./config/config.yaml', 'utf8'))
    // @ts-ignore
    this._urls = doc.baseUrls
    // @ts-ignore
    this._salt = doc.salt
    logger.debug('[Config] Config has been loaded')
  }

  get urls () {
    return this._urls || []
  }

  get salt () {
    return this._salt
  }
}

export const configMap = new Config()
