import fastify from 'fastify'
import promClient from 'prom-client'

const app = fastify({ logger: false })

export const createMetricsServer = async () => {
  await app.get('/metrics', async (request, reply) => {
    reply
      .type(promClient.register.contentType)
      .send(await promClient.register.metrics())
  })
  await app.listen({ host: '::', port: Number(process.env.METRICS_PORT) })
  return app
}
